---
include:
  - /tools/ci/gitlab/script-read-version.gitlab-ci.yml

.retag-and-publish:
  tags:
    - empaia-docker
  services:
    - docker:dind
  image: registry.gitlab.com/empaia/integration/ci-docker-images/test-runner
  before_script:
    - !reference [.script-get-app-version, script]
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - TEMP_IMAGE="$CI_REGISTRY_IMAGE/ci-test-$PROJECT_NAME:$PROJECT_VERSION"
    - >
      ./tools/ci/scripts/check-existing-ci-docker.sh
      "$TEMP_IMAGE"
  script:
    - docker pull $TEMP_IMAGE
    - RETAGGED_IMAGE="$CI_REGISTRY_IMAGE/$PROJECT_NAME:$PROJECT_VERSION"
    - >
      ./tools/ci/scripts/check-existing-docker.sh
      "$RETAGGED_IMAGE"
    - docker tag $TEMP_IMAGE $RETAGGED_IMAGE
    - docker push $RETAGGED_IMAGE
  after_script:
    - docker logout $CI_REGISTRY